#
# spec file for package cutter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cutter
Version:        0.0
Release:        8.8
Summary:        Cut files according to a position list
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-explicit-exception-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-spreadsheet-devel
BuildRequires:  ghc-utility-ht-devel

%description
Cut a file into chunks according to a position list and concatenate the chunks.
The chunks must not overlap and must be in increasing order.

Use it this way:

> cutter positions.csv <datain >dataout

The file 'positions.csv' must be a comma separated spreadsheet file (CSV),
where the first column contains the chunk beginnings and the second column
contains the pause beginnings. A pause begins one byte after a chunk ends.
The other columns are ignored and may contain annotations of the chunks.

The positions file may also contain line numbers. In this case you run the
command this way:

> cutter -l positions.csv <datain >dataout

Example: remove selected attachments from e-mails in mbox file using the
'lsmbox' command from <http://hackage.haskell.org/package/mbox-utility>.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%doc LICENSE
%{_bindir}/%{name}

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.0 with cabal2obs.
